%global bundle org.apache.felix.shell

Name:          felix-shell
Version:       1.4.2
Release:       %mkrel 1
Summary:       Apache Felix Shell Service
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/org.apache.felix.shell-1.4.2-project.tar.gz
Patch0:        felix-shell-1.4.2-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: felix-parent
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: maven-surefire-provider-junit4

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A simple OSGi command shell service.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.4.2-1.mga2
+ Revision: 131888
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package felix-shell

